Page MenuHomePhabricator

Remove RepositorySettings
Closed, ResolvedPublic

Description

Following T245860 and T245865 the "repository definitions" concept and the related RepositoryDefinitions class are no longer used in Wikibase.

Event Timeline

Change 574091 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer used RepositoryDefintions field from WikibaseRepo

https://gerrit.wikimedia.org/r/574091

Change 574183 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed RepositoryDefinitions dependency from DataAccessSnakFormatterOutputFormatTest

https://gerrit.wikimedia.org/r/574183

Change 574185 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed dependency on obsolete RepositoryDefinitions from UsageTrackingIntegrationTest

https://gerrit.wikimedia.org/r/574185

Change 574186 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer used WikibaseClient::getRepositoryDefinitions

https://gerrit.wikimedia.org/r/574186

Change 574187 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer used RepositoryDefinitions class:

https://gerrit.wikimedia.org/r/574187

WMDE-leszek removed WMDE-leszek as the assignee of this task.Feb 22 2020, 6:00 PM
WMDE-leszek updated the task description. (Show Details)

Change 574185 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed dependency on obsolete RepositoryDefinitions from UsageTrackingIntegrationTest

https://gerrit.wikimedia.org/r/574185

Change 574241 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/ArticlePlaceholder@master] Replaced the obsolete way to get the DB name of local repoistory

https://gerrit.wikimedia.org/r/574241

WMDE-leszek updated the task description. (Show Details)Feb 23 2020, 5:10 PM
WMDE-leszek updated the task description. (Show Details)

Change 574241 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Replaced the obsolete way to get the DB name of local repository

https://gerrit.wikimedia.org/r/574241

Change 574091 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer used RepositoryDefintions field from WikibaseRepo

https://gerrit.wikimedia.org/r/574091

Addshore claimed this task.Feb 25 2020, 8:58 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptFeb 25 2020, 8:58 AM
Addshore removed Addshore as the assignee of this task.Feb 27 2020, 9:26 AM
hoo updated the task description. (Show Details)Mar 5 2020, 4:43 PM

Change 574183 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed RepositoryDefinitions dependency from DataAccessSnakFormatterOutputFormatTest

https://gerrit.wikimedia.org/r/574183

hoo updated the task description. (Show Details)Mar 5 2020, 6:46 PM

Change 574186 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer used WikibaseClient::getRepositoryDefinitions

https://gerrit.wikimedia.org/r/574186

Change 574187 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer used RepositoryDefinitions class

https://gerrit.wikimedia.org/r/574187

Addshore closed this task as Resolved.Mar 6 2020, 2:00 PM
Addshore claimed this task.